Index: install.php
===================================================================
--- install.php	(revision 15590)
+++ install.php	(working copy)
@@ -243,7 +243,15 @@
 		 */
 		private function GetVar($name, $default = false)
 		{
-			return array_key_exists($name, $_REQUEST) ? $_REQUEST[$name] : $default;
+			if ( array_key_exists($name, $_COOKIE) ) {
+				return $_COOKIE[$name];
+			}
+
+			if ( array_key_exists($name, $_POST) ) {
+				return $_POST[$name];
+			}
+
+			return array_key_exists($name, $_GET) ? $_GET[$name] : $default;
 		}
 
 		/**
@@ -256,7 +264,7 @@
 		 */
 		private function SetVar($name, $value)
 		{
-			$_REQUEST[$name] = $value;
+			$_POST[$name] = $value;
 		}
 
 		/**
Index: kernel/utility/debugger.php
===================================================================
--- kernel/utility/debugger.php	(revision 15569)
+++ kernel/utility/debugger.php	(working copy)
@@ -1139,18 +1139,20 @@
 						<td width="20">Src</td><td>Name</td><td>Value</td>
 					</thead>
 				<?php
-					foreach ($_REQUEST as $key => $value) {
-					if ( !is_array($value) && trim($value) == '' ) {
-						$value = '<b class="debug_error">no value</b>';
+					$super_globals = Array ('GE' => $_GET, 'PO' => $_POST, 'CO' => $_COOKIE);
+
+					foreach ($super_globals as $prefix => $data) {
+						foreach ($data as $key => $value) {
+							if ( !is_array($value) && trim($value) == '' ) {
+								$value = '<b class="debug_error">no value</b>';
+							}
+							else {
+								$value = htmlspecialchars($this->print_r($value, true));
+							}
+
+							echo '<tr><td>' . $prefix . '</td><td>' . $key . '</td><td>' . $value . '</td></tr>';
+						}
 					}
-					else {
-						$value = htmlspecialchars($this->print_r($value, true));
-					}
-
-					$in_cookie = isset($_COOKIE[$key]);
-					$src = isset($_GET[$key]) && !$in_cookie ? 'GE' : (isset($_POST[$key]) && !$in_cookie ? 'PO' : ($in_cookie ? 'CO' : '?'));
-					echo '<tr><td>' . $src . '</td><td>' . $key . '</td><td>' . $value . '</td></tr>';
-				}
 				?>
 				</table>
 				<?php
